~sircmpwn/sr.ht-docs

00d3202ec37209a2bf1597f5bb6e07abe2434f4f — Drew DeVault 2 years ago f6a907d
Add Fedora to compatibility list
1 files changed, 50 insertions(+), 0 deletions(-)

M builds.sr.ht/compatibility.md
M builds.sr.ht/compatibility.md => builds.sr.ht/compatibility.md +50 -0
@@ 274,6 274,56 @@ repositories:
  sr.ht: https://mirror.sr.ht/debian/sr.ht/ stretch main DEADBEEFCAFEF00D
```

## Fedora

<table class="table table-sm table-hover">
  <thead>
    <tr>
      <th>Fedora 29</th>
      <th colspan="3" style="font-weight: normal; text-align: center">
        <code>image: fedora/latest</code>
      </th>
    </tr>
    <tr>
      <th>arch</th>
      <th style="text-align: center">supported</th>
      <th style="text-align: center">native</th>
      <th>updated</th>
    </tr>
  </thead>
  <tbody>
    <tr><td><code>arch: aarch64</code></td><td style="text-align: center">✗</td><td></td><td></td></tr>
    <tr><td><code>arch: armhfp</code></td><td style="text-align: center">✗</td><td></td><td></td></tr>
    <tr class="table-primary">
      <td><code>arch: x86_64</code> (default)</td>
      <td style="text-align: center; color: green">✓</td>
      <td style="text-align: center; color: green">✓</td>
      <td>weekly</td>
    </tr>
  </tbody>
</table>

**note**: Fedora support is a work-in-progress. As such, both Feodra 28 and
Rawhide are currently unavailable.

**packages**

The packages array is installed with `dnf install`.

**repositories**

Given the following list of repositories in your manifest:

```yml
repositories:
  example: https://example.org
```

The following commands will be used to configure it:

    dnf config-manager --add-repo https://example.org
    dnf config-manager --set-enabled example

## FreeBSD

<table class="table table-sm table-hover">